local vector2 = require("#microsoft.xna.framework.vector2")
local exCameraHelper = require("#Celeste.Mod.ExCameraDynamics.Code.Module.ExCameraInterop")
local cameraFocus = require("#Celeste.Mod.ExCameraDynamics.Code.Entities.CameraFocus")
local cameraZoomHooks = require("#Celeste.Mod.ExCameraDynamics.Code.Hooks.CameraZoomHooks")

function onBegin()

    disableMovement()
    disablePause ()

    setDarkness(0)
    setBloomStrength(0)

    player.DummyAutoAnimate = true
    player.Facing = getEnum("Celeste.Facings", "Left")
    
    wait(2)

    player.DummyAutoAnimate = false
    player.Sprite:Play("sitDown")

    wait(4)
    teleportTo(5500, 4390, "feel_12")

    enableMovement()
    endCutscene ()
	

end